function [X, Y, Z] = myLORENZ(InitV,T, sigma, rho, beta)
% Evaluates the right hand side of the Lorenz system
% x' = x+sigma*(y-x)*T
% y' = y+[x*(rho - z) - y]*T
% z' = z+[x*y - beta*z]*T
% typical values: rho = 28; sigma = 10; beta = 8/3;

    
    X = InitV(1) + [sigma*(InitV(2) - InitV(1))]*T;
    Y = InitV(2) + [(InitV(1)*(rho - InitV(3)) - InitV(2))]*T;
    Z = InitV(3)+ [(InitV(1)*InitV(2) - beta*InitV(3))]*T;
    return
end